package com.zd.exam.service;

import com.zd.exam.domain.ElRepo;
import com.zd.exam.domain.vo.ElRepoVO;

import java.util.List;

/**
 * 题库(ElRepo)表服务接口
 *
 * @author liubo
 * @since 2021-08-30 14:45:55
 */
public interface ElRepoService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElRepo queryById(Long id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElRepo> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param elRepo 实例对象
     * @return 实例对象
     */
    int insert(ElRepo elRepo);

    /**
     * 修改数据
     *
     * @param elRepo 实例对象
     * @return 实例对象
     */
    int update(ElRepo elRepo);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    List<ElRepo> queryList(ElRepoVO repovo);

    int deleteByIds(List<Long> ids);

    void refreshStat(Long repoId);
}
